package Polyze::RRejectMilter;
use Moose;
with 'Polyze::RReject';

sub _build_sender_domain {
   my ($self) = @_;
   my ($domain) = (
      $self->text =~ m/: milter-reject: (?:[^ ]+) from ([^[]+)?\[/
   );
   return $domain;
}

sub _build_sender_ip {
   my ($self) = @_;
   my ($ip) = (
      $self->text =~ m/: milter-reject: (?:[^ ]+) from (?:[^[]+)?\[([^]]+)\]/
   );
   return $ip;
}

sub _build_reason {
   "Milter reject";
}

no Moose;
__PACKAGE__->meta->make_immutable;
